package com.dkha.common.enums;

import lombok.Getter;
import org.springframework.beans.factory.annotation.Value;

/**
 * @version V1.0
 * @Description: TODO(请求api地址枚举维护类)
 * All rights 成都电科慧安
 * @Title: ApiUrl
 * @Package com.dkha.common.enums
 * @author: panhui
 * @date: 2019/12/10 10:37
 * @Copyright: 成都电科慧安
 */
@Getter
public enum ApiUrlEnum {
//    @Value("${api.server.prefix}")  请求前缀维护在face-common的faceApiUrl.properties 中
//    String link;
//口罩人脸识别项目所用的接口地址重新定义
FACE_SEARCH("message/mask", "人脸检测"),
FACE_COMPARISON("compare", "一比一比对"),

FACE_COMPARISON_MUCH("compares", "一比多比对"),
FACELIB_POSTURL("dkha/faceLib", "添加人脸"),
FACELIST_POSTURL("dkha/face", "添加人像"),
FACE_POSTURL("dkha/face", "添加人像"),


    ALARM_POSTURL("alarm", "查看单个报警任务（业务场景卡口）post"),
    ALARMS_POSTURL("alarms", "查看批量报警post"),
    ALARMS_STATUS("taskStatus", "视频任务状态查询"),
    FACELIBS_POSTURL("faceLibs", "查看人脸"),

    TASK_POSTURL("control", "任务操作"),
    TASK_VEDIO_POSTURL("controlVedio", "视频比对任务操作"),
    FACE_SEARCH_LIB("faceSearchLib", "人脸库检索"),
    //FACE_SEARCH("faceSearch", "人脸检测"),
    FACE_GROUP("faceGroup", "分组检索"),
    //FACE_COMPARISON("faceComparison", "一比一比对"),
    CAMERA("camera", "摄像头操作");
    private String url;
    private String message;

    ApiUrlEnum(String url, String message) {
        this.url = url;
        this.message = message;
    }
}
