package com.dkha.common.enums;

/**
 * @author Spring
 * @date 2018/5/18-11:30
 * @Description: 全局字典枚举 -- 全平台统一维护
 */
public enum PlatformDictTypeEnum {

    COMPANY_TYPE("company", "公司类型枚举Type"),
    EDUCATION("education", "学历枚举类型"),
    POST_SKILL("postSkill", "职业技能枚举类型"),
    REGION("region", "区域枚举类型"),
    BOARD_AND_LODGING("accommodation", "食宿安排枚举类型");
//    WORK_ADDRESS("workAddress", "工作地点枚举类型");
    public String code;
    public String name;

    PlatformDictTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }
}
