package com.dkha.common.modules.vo.warning;

import com.dkha.common.modules.vo.position.PositionVO;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @version V1.0
 * @Description: TODO(please write your description)
 * All rights 成都电科慧安
 * @Title: WarningPageVO
 * @Package com.dkha.server.modules.vo.warning
 * @author: panhui
 * @date: 2019/12/12 9:00
 * @Copyright: 成都电科慧安
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
//@JsonInclude(JsonInclude.Include.NON_NULL)
@ApiModel(value="预警页面展示的vo", description="前端页面展示数据")
public class WarningPageVO {

    @ApiModelProperty(value = "背景图片")
    private String bgImg;
    @ApiModelProperty(value = "坐标")
    private PositionVO positionVO;

    @ApiModelProperty(value = "比分")
    private Double score;
    @ApiModelProperty(value = "时间")
    private String time;


    @ApiModelProperty(value = "比中头像地址")
    private String faceUrl;
    @ApiModelProperty(value = "姓名")
    private String name;
    @ApiModelProperty(value = "性别")
    private String sex;
    @ApiModelProperty(value = "身份证号码")
    private String idCard;
    @ApiModelProperty(value = "年龄")
    private Integer age;


    @ApiModelProperty(value = "任务id")
    private String taskId;
    @ApiModelProperty(value = "任务名称")
    private String taskName;
    @ApiModelProperty(value = "任务类型")
    private String taskType;

    @ApiModelProperty(value = "库名称")
    private String libName;
    @ApiModelProperty(value = "库id")
    private String libId;


    @ApiModelProperty(value = "摄像头区域")
    private String cameraRegion;
    @ApiModelProperty(value = "摄像头id")
    private String cameraId;

}
