package com.dkha.task.service;

import com.dkha.common.modules.vo.ApiVO;
import com.dkha.common.modules.vo.dto.FaceLibraryVO;
import org.springframework.stereotype.Service;

/**
 * @version V1.0
 * @Description: TODO(操作api的service层)
 * All rights 成都电科慧安
 * @Title: ApiDeelService
 * @Package com.dkha.task.service
 * @author: panhui
 * @date: 2020/1/9 17:00
 * @Copyright: 成都电科慧安
 */
@Service
public interface ApiDeelService {


    /**
     * 创建一个人脸库
     * @return
     */
    FaceLibraryVO addLib(FaceLibraryVO faceLibraryVO);

    /**
     * 根据时间获取当天数据摄像头的es抓拍数据
     * @param cameraId
     * @return
     */
    void getApi(String cameraId,String time,Long bayonetNum,String libId);

}
