package com.dkha.common.modules.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
@ApiModel(value = "人脸库1：N比对返回", description = "人脸检索")
public class CompareMuch {
    private Double hitSimilarity;
    @ApiModelProperty(value = "比对最相似的人脸地址")
    private String rphoto;
}
