package com.dkha.common.modules.vo.camera;

import com.dkha.common.modules.vo.face.FeatureVO;
import com.dkha.common.modules.vo.position.PositionVO;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @version V1.0
 * @Description: TODO(please write your description)
 * All rights 成都电科慧安
 * @Title: PeopleComparableVO
 * @Package com.dkha.common.modules.vo.camera
 * @author: panhui
 * @date: 2020/1/14 16:20
 * @Copyright: 成都电科慧安
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
public class PeopleComparableVO implements Comparable<PeopleComparableVO>{

    private String cameraId;
    private CameraInfoVO  cameraInfoVO;
    private String esId;
    private String faceUrl;
    private String bgUrl;
    private PositionVO position;
    private Long timestamp;
    private String time;
    private Double score;
    private FeatureVO featureVO;
    private String faceId;

    @Override
    public int compareTo(PeopleComparableVO peopleComparableVO) {
        if(this.timestamp.intValue()!=peopleComparableVO.getTimestamp().intValue())
        {
            return (this.timestamp.intValue()-peopleComparableVO.getTimestamp().intValue());
        }
        return 0;
    }
}
