package com.dkha.common.modules.vo.facelib;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;

/**
 * @Author Spring
 * @Since 2019/12/11 16:18
 * @Description 人脸分组结果集，子项
 */
@Data
public class CompareResultSubVo {

    @ApiModelProperty(value = "结果url--随机获取其中一个")
    private String resultUrl;

    @ApiModelProperty(value = "除结果url后，其余的url集合")
    private List<CompareResultDetailVo> compareResultSubVoList = new ArrayList<>();
}
