package com.dkha.server.services;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dkha.common.page.PageParam;
import com.dkha.server.modules.entities.FaceLibrary;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 库表 服务类
 * </p>
 *
 * @author Spring
 * @since 2019-12-09
 */
public interface IFaceLibraryService extends IService<FaceLibrary> {
    /**
     * 新增库
     * @param faceLibrary
     * @return
     */
    FaceLibrary addLibrary(FaceLibrary faceLibrary);

    /**
     * 删除库
     * @param faceLibrary
     * @return
     */
    FaceLibrary deleteLibrary(Long faceLibrary);
    /**
     * 修改库
     * @param faceLibrary
     * @return
     */
    FaceLibrary updateLibrary(FaceLibrary faceLibrary);

    /**
     * 查询
     * @return
     */
    Page<FaceLibrary> queryLibrary(PageParam pageParam);

    /**
     * 人像库查所有
     * @return
     */
    List<FaceLibrary> findFaceLibraries();
}

