package com.dkha.server.system.modules.sys.service;

import com.dkha.server.system.common.page.PageData;
import com.dkha.server.system.common.service.BaseService;
import com.dkha.server.system.modules.sys.dto.SysDictDataDTO;
import com.dkha.server.system.modules.sys.entity.SysDictDataEntity;

import java.util.Map;

/**
 * 数据字典
 *
 * @author Mark sunlightcs@gmail.com
 */
public interface SysDictDataService extends BaseService<SysDictDataEntity> {

    PageData<SysDictDataDTO> page(Map<String, Object> params);

    SysDictDataDTO get(Long id);

    void save(SysDictDataDTO dto);

    void update(SysDictDataDTO dto);

    void delete(Long[] ids);

}