package com.dkha.face.modules;

import java.util.List;

/**
 * @version V1.0
 * @Description: TODO(please write your description)
 * All rights 成都电科慧安
 * @Title: ReceiveSnapVO
 * @Package com.dkha.face.modules
 * @author: panhui
 * @date: 2019/12/25 16:31
 * @Copyright: 成都电科慧安
 */
public class ReceiveSnapVO {

    /**
     * cmd : face_snapshot
     * id : 0
     * body : {"age":2,"event_type":1,"face":[{"confidence":72,"data_type":1,"eye_dist":142,"face_id":1285,"pitch":0,"rect":{"bottom":733,"left":926,"right":1068,"top":584},"rel_rect":{"bottom":239,"left":94,"right":236,"top":90},"roll":0,"yaw":0}],"have_glasses":1,"have_hat":0,"have_mask":0,"num":1,"picture":[{"data":"","length":10015,"type":2}],"serialno":"6e25d4fe-b6abfa6d","sex":0,"snapshot":{"data":"","length":156397,"type":2},"time_str":"2019-12-25 12:56:04","timestamp":{"msec":351,"sec":1577249764},"trigger":1}
     */

    private String cmd;
    private int id;
    private BodyBean body;

    public String getCmd() {
        return cmd;
    }

    public void setCmd(String cmd) {
        this.cmd = cmd;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public BodyBean getBody() {
        return body;
    }

    public void setBody(BodyBean body) {
        this.body = body;
    }

    public static class BodyBean {
        /**
         * age : 2
         * event_type : 1
         * face : [{"confidence":72,"data_type":1,"eye_dist":142,"face_id":1285,"pitch":0,"rect":{"bottom":733,"left":926,"right":1068,"top":584},"rel_rect":{"bottom":239,"left":94,"right":236,"top":90},"roll":0,"yaw":0}]
         * have_glasses : 1
         * have_hat : 0
         * have_mask : 0
         * num : 1
         * picture : [{"data":"","length":10015,"type":2}]
         * serialno : 6e25d4fe-b6abfa6d
         * sex : 0
         * snapshot : {"data":"","length":156397,"type":2}
         * time_str : 2019-12-25 12:56:04
         * timestamp : {"msec":351,"sec":1577249764}
         * trigger : 1
         */

        private int age;
        private int event_type;
        private int have_glasses;
        private int have_hat;
        private int have_mask;
        private int num;
        private String serialno;
        private int sex;
        private SnapshotBean snapshot;
        private String time_str;
        private TimestampBean timestamp;
        private int trigger;
        private List<FaceBean> face;
        private List<PictureBean> picture;

        public int getAge() {
            return age;
        }

        public void setAge(int age) {
            this.age = age;
        }

        public int getEvent_type() {
            return event_type;
        }

        public void setEvent_type(int event_type) {
            this.event_type = event_type;
        }

        public int getHave_glasses() {
            return have_glasses;
        }

        public void setHave_glasses(int have_glasses) {
            this.have_glasses = have_glasses;
        }

        public int getHave_hat() {
            return have_hat;
        }

        public void setHave_hat(int have_hat) {
            this.have_hat = have_hat;
        }

        public int getHave_mask() {
            return have_mask;
        }

        public void setHave_mask(int have_mask) {
            this.have_mask = have_mask;
        }

        public int getNum() {
            return num;
        }

        public void setNum(int num) {
            this.num = num;
        }

        public String getSerialno() {
            return serialno;
        }

        public void setSerialno(String serialno) {
            this.serialno = serialno;
        }

        public int getSex() {
            return sex;
        }

        public void setSex(int sex) {
            this.sex = sex;
        }

        public SnapshotBean getSnapshot() {
            return snapshot;
        }

        public void setSnapshot(SnapshotBean snapshot) {
            this.snapshot = snapshot;
        }

        public String getTime_str() {
            return time_str;
        }

        public void setTime_str(String time_str) {
            this.time_str = time_str;
        }

        public TimestampBean getTimestamp() {
            return timestamp;
        }

        public void setTimestamp(TimestampBean timestamp) {
            this.timestamp = timestamp;
        }

        public int getTrigger() {
            return trigger;
        }

        public void setTrigger(int trigger) {
            this.trigger = trigger;
        }

        public List<FaceBean> getFace() {
            return face;
        }

        public void setFace(List<FaceBean> face) {
            this.face = face;
        }

        public List<PictureBean> getPicture() {
            return picture;
        }

        public void setPicture(List<PictureBean> picture) {
            this.picture = picture;
        }

        public static class SnapshotBean {
            /**
             * data :
             * length : 156397
             * type : 2
             */

            private String data;
            private int length;
            private int type;

            public String getData() {
                return data;
            }

            public void setData(String data) {
                this.data = data;
            }

            public int getLength() {
                return length;
            }

            public void setLength(int length) {
                this.length = length;
            }

            public int getType() {
                return type;
            }

            public void setType(int type) {
                this.type = type;
            }
        }

        public static class TimestampBean {
            /**
             * msec : 351
             * sec : 1577249764
             */

            private int msec;
            private int sec;

            public int getMsec() {
                return msec;
            }

            public void setMsec(int msec) {
                this.msec = msec;
            }

            public int getSec() {
                return sec;
            }

            public void setSec(int sec) {
                this.sec = sec;
            }
        }

        public static class FaceBean {
            /**
             * confidence : 72
             * data_type : 1
             * eye_dist : 142
             * face_id : 1285
             * pitch : 0
             * rect : {"bottom":733,"left":926,"right":1068,"top":584}
             * rel_rect : {"bottom":239,"left":94,"right":236,"top":90}
             * roll : 0
             * yaw : 0
             */

            private int confidence;
            private int data_type;
            private int eye_dist;
            private int face_id;
            private int pitch;
            private RectBean rect;
            private RelRectBean rel_rect;
            private int roll;
            private int yaw;

            public int getConfidence() {
                return confidence;
            }

            public void setConfidence(int confidence) {
                this.confidence = confidence;
            }

            public int getData_type() {
                return data_type;
            }

            public void setData_type(int data_type) {
                this.data_type = data_type;
            }

            public int getEye_dist() {
                return eye_dist;
            }

            public void setEye_dist(int eye_dist) {
                this.eye_dist = eye_dist;
            }

            public int getFace_id() {
                return face_id;
            }

            public void setFace_id(int face_id) {
                this.face_id = face_id;
            }

            public int getPitch() {
                return pitch;
            }

            public void setPitch(int pitch) {
                this.pitch = pitch;
            }

            public RectBean getRect() {
                return rect;
            }

            public void setRect(RectBean rect) {
                this.rect = rect;
            }

            public RelRectBean getRel_rect() {
                return rel_rect;
            }

            public void setRel_rect(RelRectBean rel_rect) {
                this.rel_rect = rel_rect;
            }

            public int getRoll() {
                return roll;
            }

            public void setRoll(int roll) {
                this.roll = roll;
            }

            public int getYaw() {
                return yaw;
            }

            public void setYaw(int yaw) {
                this.yaw = yaw;
            }

            public static class RectBean {
                /**
                 * bottom : 733
                 * left : 926
                 * right : 1068
                 * top : 584
                 */

                private int bottom;
                private int left;
                private int right;
                private int top;

                public int getBottom() {
                    return bottom;
                }

                public void setBottom(int bottom) {
                    this.bottom = bottom;
                }

                public int getLeft() {
                    return left;
                }

                public void setLeft(int left) {
                    this.left = left;
                }

                public int getRight() {
                    return right;
                }

                public void setRight(int right) {
                    this.right = right;
                }

                public int getTop() {
                    return top;
                }

                public void setTop(int top) {
                    this.top = top;
                }
            }

            public static class RelRectBean {
                /**
                 * bottom : 239
                 * left : 94
                 * right : 236
                 * top : 90
                 */

                private int bottom;
                private int left;
                private int right;
                private int top;

                public int getBottom() {
                    return bottom;
                }

                public void setBottom(int bottom) {
                    this.bottom = bottom;
                }

                public int getLeft() {
                    return left;
                }

                public void setLeft(int left) {
                    this.left = left;
                }

                public int getRight() {
                    return right;
                }

                public void setRight(int right) {
                    this.right = right;
                }

                public int getTop() {
                    return top;
                }

                public void setTop(int top) {
                    this.top = top;
                }
            }
        }

        public static class PictureBean {
            /**
             * data :
             * length : 10015
             * type : 2
             */

            private String data;
            private int length;
            private int type;

            public String getData() {
                return data;
            }

            public void setData(String data) {
                this.data = data;
            }

            public int getLength() {
                return length;
            }

            public void setLength(int length) {
                this.length = length;
            }

            public int getType() {
                return type;
            }

            public void setType(int type) {
                this.type = type;
            }
        }
    }
}
